Solid Edge Geometry Type Library
GetPointAtParam Method
Specifies the number of parameters to be evaluated.
Returns the array of parameters to be evaluated.
Returns the array of computed model space points. If you are interested in obtaining only the geometric continuity information, this argument can be NULL.
Description
Computes the corresponding model space points in the local coordinate system, given an array of parameters on the curve.
Syntax
Visual Basic
Public Sub GetPointAtParam( _
   ByVal NumParams As Long, _
   ByRef Params() As Double, _
   ByRef Points() As Double _
) 
Parameters
NumParams
Specifies the number of parameters to be evaluated.
Params
Returns the array of parameters to be evaluated.
Points
Returns the array of computed model space points. If you are interested in obtaining only the geometric continuity information, this argument can be NULL.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeframework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLoops As Object
    Dim objEdgeUse As solidedgegeometry.EdgeUse
    Dim dblParams(1 To 2) As Double
    Dim dblPoints() As Double
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    Call objDoc.Close
    ' opening the test case file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' getting the collection of loops from the body object in the model
    Set objLoops = objDoc.Models(1).Body.Faces(FaceType:=igQueryAll).Item(5).Loops
    ' getting an EdgeUse object for a loop
    Set objEdgeUse = objLoops.Item(1).EdgeUses.Item(2)
    ' getting the coordinates of a point represented by a parameter for an EdgeUse object
    dblParams(1) = 0.5
    dblParams(2) = 0.75
    Call objEdgeUse.GetPointAtParam(NumParams:=2, Params:=dblParams, Points:=dblPoints)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLoops = Nothing
    Set objEdgeUse = Nothing
End Sub
See Also

EdgeUse Object  | EdgeUse Members

Send comments on this topic.